<?php

function fn_props_a($aql)
{
	$list = $aql->Consume(1);
	$set = array();

	foreach($list[0]->value as $a)
	{
		$ass = new Asset($a);
		$props = $ass->GetProperties();		
		foreach($props as $p)
		{
			if (!in_array($p->id,$set))
				$set[] = $p->id;
		}
	}
		
	
	$a = new AQLStackElement();
	$a->typename = "proplist";
	$a->islist = true;
	$a->value = $set;
	array_push($aql->stack,$a);
}

?>